aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/regress/copyless
diff options
context:
space:
mode:
Diffstat (limited to 'regress/copyless')
-rwxr-xr-xregress/copyless14
1 files changed, 14 insertions, 0 deletions
diff --git a/regress/copyless b/regress/copyless
new file mode 100755
index 00000000..a00c0009
--- /dev/null
+++ b/regress/copyless
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+umask 022
+if [ "$#" -ne 4 ]; then
+ echo "$0 $*: $# args instead of 4" 1>&2
+ exit 1
+fi
+if [ "$2" != "-T" ]; then
+ echo "$0 $*: second arg is not -T" 1>&2
+ exit 1
+fi
+cut -d ' ' -f 1,3 "$3" > "$1.mandoc_tag"
+cp "$4" "$1.mandoc_ascii"
+exit 0